Trasferimenti
GET https://drop.stiac.it/api/transfers/
curl --request GET \
--url 'https://drop.stiac.it/api/transfers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/transfers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Opzionale Stringa | La stringa di ricerca. |
| search_by | Opzionale Stringa | Campo su cui effettuare la ricerca. I valori consentiti sono: url , name. |
| project_id | Opzionale Intero | |
| domain_id | Opzionale Intero | |
| order_by | Opzionale Stringa | Campo su cui ordinare i risultati. I valori consentiti sono: transfer_id , datetime , last_datetime , expiration_datetime , pageviews , downloads , url , name , downloads_limit , total_files , total_size. |
| order_type | Opzionale Stringa | Ordinamento dei risultati. I valori consentiti sono: ASC per l'ordinamento ascendente e DESC per l'ordinamento discendente. |
| page | Opzionale Intero | Il numero di pagina da cui desideri ottenere i risultati. Il valore predefinito è 1. |
| results_per_page | Opzionale Intero | Quanti risultati desideri per pagina. I valori consentiti sono: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Il valore predefinito è 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"uploader_id": "f528764d624db129b32c21fbca0cb8d6",
"pixels_ids": [],
"files_ids": [
1,2,3
],
"name": "Example",
"description": "Example",
"type": "link",
"email_to": null,
"url": "example",
"settings": {
"password": null,
"file_encryption_is_enabled": false,
"file_preview_is_enabled": true,
"is_removed_branding": false,
"custom_css": "tester",
"custom_js": ""
},
"notifications": {
"download": []
},
"total_files": 1,
"total_size": 999999,
"pageviews": 1,
"downloads": 1,
"downloads_limit": 0,
"expiration_datetime": null,
"last_datetime": null,
"datetime": "2026-04-18 15:36:06",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://drop.stiac.it/api/transfers?page=1",
"last": "https://drop.stiac.it/api/transfers?page=1",
"next": null,
"prev": null,
"self": "https://drop.stiac.it/api/transfers?page=1"
}
}
GET https://drop.stiac.it/api/transfers/{transfer_id}
curl --request GET \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"uploader_id": "f528764d624db129b32c21fbca0cb8d6",
"pixels_ids": [],
"files_ids": [
1,2,3
],
"name": "Example",
"description": "Example",
"type": "link",
"email_to": null,
"url": "example",
"settings": {
"password": null,
"file_encryption_is_enabled": false,
"file_preview_is_enabled": true,
"is_removed_branding": false,
"custom_css": "tester",
"custom_js": ""
},
"notifications": {
"download": []
},
"total_files": 1,
"total_size": 999999,
"pageviews": 1,
"downloads": 1,
"downloads_limit": 0,
"expiration_datetime": null,
"last_datetime": null,
"datetime": "2026-04-18 15:36:06",
}
}
POST https://drop.stiac.it/transfer/create_api
| Parametri | Dettagli | Descrizione |
|---|---|---|
| uploaded_files | Obbligatorio Array Intero | Array contenente gli UUID di tutti i file caricati da allegare a questo trasferimento. |
| type | Opzionale Stringa | Valori consentiti: link , email |
| email_to | Opzionale Stringa | Available when: type = email |
| name | Opzionale Stringa | - |
| description | Opzionale Stringa | - |
| url | Opzionale Stringa | - |
| domain_id | Opzionale Intero | - |
| project_id | Opzionale Intero | - |
| pixels_ids | Opzionale Array Intero | - |
| download_notification_handlers_ids | Opzionale Array Intero | - |
| expiration_datetime | Opzionale Stringa | Y-m-d H:i:s |
| downloads_limit | Opzionale Intero | - |
| password | Opzionale Stringa | - |
| file_encryption_is_enabled | Opzionale Booleano | - |
| file_preview_is_enabled | Opzionale Booleano | - |
| gallery_file_preview_is_enabled | Opzionale Booleano | - |
| is_removed_branding | Opzionale Booleano | - |
| custom_css | Opzionale Stringa | - |
| custom_js | Opzionale Stringa | - |
curl --request POST \
--url 'https://drop.stiac.it/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
--url 'https://drop.stiac.it/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
{
"data": {
"id": 1,
"download_url": "https://drop.stiac.it/transfer-redirect/1",
"view_url": "https://drop.stiac.it/transfer/1",
}
}
POST https://drop.stiac.it/api/transfers/{transfer_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Opzionale Stringa | - |
| description | Opzionale Stringa | - |
| url | Opzionale Stringa | - |
| domain_id | Opzionale Intero | - |
| project_id | Opzionale Intero | - |
| pixels_ids | Opzionale Array Intero | - |
| download_notification_handlers_ids | Opzionale Array Intero | - |
| expiration_datetime | Opzionale Stringa | Y-m-d H:i:s |
| downloads_limit | Opzionale Intero | - |
| file_preview_is_enabled | Opzionale Booleano | - |
| gallery_file_preview_is_enabled | Opzionale Booleano | - |
| is_removed_branding | Opzionale Booleano | - |
| custom_css | Opzionale Stringa | - |
| custom_js | Opzionale Stringa | - |
curl --request POST \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=transfer.com' \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=transfer.com' \
{
"data": {
"id": 1
}
}
DELETE https://drop.stiac.it/api/transfers/{transfer_id}
curl --request DELETE \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \